Package ru.bitel.bgbilling.plugins.gar.server.bean

# Class GarAddressDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<GarLoadedHistoryEntry>
ru.bitel.bgbilling.plugins.gar.server.bean.GarAddressDao

All Implemented Interfaces:
  `AutoCloseable`

public class GarAddressDao extends ru.bitel.common.dao.AbstractDao<GarLoadedHistoryEntry>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GarAddressDao(Connection connection)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected GarLoadedHistoryEntry`
  `getFromRS(ResultSet rs)`
  `void`
  `searchEntries(Date dateFrom, Date dateTo, SearchResult<GarLoadedHistoryEntry> searchResult)`
  `List<GarLoadedHistoryEntry>`
  `searchEntriesByGarObjectId(long garObjectId)`
  `protected void`
  `updateImpl(GarLoadedHistoryEntry historyEntry)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GarAddressDao

    public GarAddressDao(Connection connection)

- ## Method Details

  - ### getFromRS

    protected GarLoadedHistoryEntry getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<GarLoadedHistoryEntry>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(GarLoadedHistoryEntry historyEntry) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<GarLoadedHistoryEntry>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### searchEntriesByGarObjectId

    public List<GarLoadedHistoryEntry> searchEntriesByGarObjectId(long garObjectId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchEntries

    public void searchEntries(Date dateFrom, Date dateTo, SearchResult<GarLoadedHistoryEntry> searchResult) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`